/**********************************************************************************
	file: rf12_config.h

	Edit this file to match your needs and hardware configuration
	for the RF12 Module. See rf12.h for more information

    Copyright (C) 2007 Andreas Weber (info@tech-chat.de)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

************************************************************************************/
//Clock Output FREQ. see rf12.h
//(14. Low Battery Detector and Microcontroller Clock Divider Command)
//for frequency settings. Example 3 -> 2MHz clk output
// * WARNING not fully tested *

#define RF12_CLOCK_OUTPUT 3

//disables clock output
#define RF12_DISABLE_CLOCK_OUTPUT 1

#define RF12_USE_HAMMIMG_ECC 0

/******** AVR specific, ATMEGA32, CS=PA3 ************/

#define RF12_NOT_CS() PORTB |= _BV(PB2)
#define RF12_CS() PORTB &= ~_BV(PB2)
#define MOSI_LOW() 		PORTB &= ~_BV(PB3)
#define MISO_LEVEL() 	(PINB & _BV(PB4))
#define INT1_LEVEL() 	(PIND & _BV(PD3))

/******** AVR specific, AT90S8515, CS=PB4 ************/
/*
#define RF12_NOT_CS() PORTB |= _BV(PB4)
#define RF12_CS() PORTB &= ~_BV(PB4)
#define MOSI_LOW() 		PORTB &= ~_BV(PB5)
#define MISO_LEVEL() 	(PINB & _BV(PB6))
#define INT1_LEVEL() 	(PIND & _BV(3))
*/
